SolrQuery::setGroupTruncate
SolrQuery::setHighlightAlternateField
SolrQuery
PHP Manual

# SolrQuery::setHighlight

(PECL solr >= 0.9.2)

SolrQuery::setHighlight — Enables or disables highlighting

### Description

public SolrQuery SolrQuery::setHighlight ( bool `$flag` )

Setting it to `TRUE` enables highlighted snippets to be generated in the query response.

Setting it to `FALSE` disables highlighting

### Parameters

`flag`

  Enable or disable highlighting

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setGroupTruncate
SolrQuery::setHighlightAlternateField
SolrQuery
PHP Manual